package de.berlin.airport.artemis.json;

import java.time.Instant;
import java.time.LocalDateTime;
import java.time.ZoneOffset;

// {"consumerID":0,"sequentialId":976,"connectionID":"4f73bd2a","sessionID":"925a87aa-7b6e-11ef-be45-0242ac110002",
// "queueName":"9abe3fc6-c348-488e-b1d7-516bbf612fac","browseOnly":false,"creationTime":1727290030380,
// "deliveringCount":0,"messagesInTransit":0,"messagesInTransitSize":0,"messagesDelivered":1,"messagesDeliveredSize":14,
// "messagesAcknowledged":1,"messagesAcknowledgedAwaitingCommit":0,"lastDeliveredTime":1727290030384,
// "lastAcknowledgedTime":1727290030386,"status":"OK"}
public class Consumer {
    private int consumerID;
    private int sequentialId;
    private String connectionID;
    private String sessionID;
    private String queueName;
    private boolean browseOnly;
    private long creationTime;
    private int deliveringCount;
    private int messagesInTransit;
    private int messagesInTransitSize;
    private int messagesDelivered;
    private int messagesDeliveredSize;
    private int messagesAcknowledged;
    private int messagesAcknowledgedAwaitingCommit;
    private long lastDeliveredTime;
    private long lastAcknowledgedTime;
    private String status;
    
    public int getConsumerID() {
        return consumerID;
    }
    public void setConsumerID(int consumerID) {
        this.consumerID = consumerID;
    }
    public int getSequentialId() {
        return sequentialId;
    }
    public void setSequentialId(int sequentialId) {
        this.sequentialId = sequentialId;
    }
    public String getConnectionID() {
        return connectionID;
    }
    public void setConnectionID(String connectionID) {
        this.connectionID = connectionID;
    }
    public String getSessionID() {
        return sessionID;
    }
    public void setSessionID(String sessionID) {
        this.sessionID = sessionID;
    }
    public String getQueueName() {
        return queueName;
    }
    public void setQueueName(String queueName) {
        this.queueName = queueName;
    }
    public boolean isBrowseOnly() {
        return browseOnly;
    }
    public void setBrowseOnly(boolean browseOnly) {
        this.browseOnly = browseOnly;
    }
    public long getCreationTime() {
        return creationTime;
    }
    public void setCreationTime(long creationTime) {
        this.creationTime = creationTime;
    }
    public int getDeliveringCount() {
        return deliveringCount;
    }
    public void setDeliveringCount(int deliveringCount) {
        this.deliveringCount = deliveringCount;
    }
    public int getMessagesInTransit() {
        return messagesInTransit;
    }
    public void setMessagesInTransit(int messagesInTransit) {
        this.messagesInTransit = messagesInTransit;
    }
    public int getMessagesInTransitSize() {
        return messagesInTransitSize;
    }
    public void setMessagesInTransitSize(int messagesInTransitSize) {
        this.messagesInTransitSize = messagesInTransitSize;
    }
    public int getMessagesDelivered() {
        return messagesDelivered;
    }
    public void setMessagesDelivered(int messagesDelivered) {
        this.messagesDelivered = messagesDelivered;
    }
    public int getMessagesDeliveredSize() {
        return messagesDeliveredSize;
    }
    public void setMessagesDeliveredSize(int messagesDeliveredSize) {
        this.messagesDeliveredSize = messagesDeliveredSize;
    }
    public int getMessagesAcknowledged() {
        return messagesAcknowledged;
    }
    public void setMessagesAcknowledged(int messagesAcknowledged) {
        this.messagesAcknowledged = messagesAcknowledged;
    }
    public int getMessagesAcknowledgedAwaitingCommit() {
        return messagesAcknowledgedAwaitingCommit;
    }
    public void setMessagesAcknowledgedAwaitingCommit(int messagesAcknowledgedAwaitingCommit) {
        this.messagesAcknowledgedAwaitingCommit = messagesAcknowledgedAwaitingCommit;
    }
    public long getLastDeliveredTime() {
        return lastDeliveredTime;
    }
    public void setLastDeliveredTime(long lastDeliveredTime) {
        this.lastDeliveredTime = lastDeliveredTime;
    }
    public long getLastAcknowledgedTime() {
        return lastAcknowledgedTime;
    }
    public void setLastAcknowledgedTime(long lastAcknowledgedTime) {
        this.lastAcknowledgedTime = lastAcknowledgedTime;
    }
    public String getStatus() {
        return status;
    }
    public void setStatus(String status) {
        this.status = status;
    }

    public LocalDateTime getLastDeliveredTimeLocal() {
        Instant i = Instant.ofEpochMilli(getLastDeliveredTime());
        return LocalDateTime.ofInstant(i, ZoneOffset.UTC);
    }
}
